/*
 * Copyright 2022-2023 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */
 /***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

#define PCR_IBE_ibe1 0x01u        /*!<@brief Input Buffer Enable: Enables */
#define PORT5_PCR_MUX_mux00 0x00u /*!<@brief Pin Multiplex Control: Alternative 0 (GPIO) */

/*! @name PORT1_8 (coord A1), P1_8/J11[32]
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_DEBUG_UART_RX_PORT PORT1               /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_DEBUG_UART_RX_PIN 8U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_DEBUG_UART_RX_PIN_MASK (1U << 8U)      /*!<@brief PORT pin mask */
                                                              /* @} */

/*! @name PORT1_9 (coord B1), P1_9/J11[30]
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_DEBUG_UART_TX_PORT PORT1               /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_DEBUG_UART_TX_PIN 9U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_DEBUG_UART_TX_PIN_MASK (1U << 9U)      /*!<@brief PORT pin mask */
                                                              /* @} */

/*! @name PORT0_6 (coord C14), P0_6/J23[7]/SW1[3]/SW1[4]
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_SW1_GPIO GPIO0               /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_SW1_GPIO_PIN 6U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_SW1_GPIO_PIN_MASK (1U << 6U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_SW1_PORT PORT0               /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_SW1_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_SW1_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                                    /* @} */

/*! @name PORT0_10 (coord B12), P0_10/SJ5[1]
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_LED_RED_GPIO GPIO0                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_LED_RED_GPIO_PIN 10U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_LED_RED_GPIO_PIN_MASK (1U << 10U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_LED_RED_PORT PORT0                /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_LED_RED_PIN 10U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_LED_RED_PIN_MASK (1U << 10U)      /*!<@brief PORT pin mask */
                                                         /* @} */

/*! @name PORT0_17 (coord A10), P0_17/J16[7]
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_COL1_GPIO GPIO0                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_COL1_GPIO_PIN 17U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_COL1_GPIO_PIN_MASK (1U << 17U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_COL1_PORT PORT0                /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_COL1_PIN 17U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_COL1_PIN_MASK (1U << 17U)      /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PORT0_18 (coord C10), P0_18/J2[11]/J16[5]
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_COL2_GPIO GPIO0                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_COL2_GPIO_PIN 18U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_COL2_GPIO_PIN_MASK (1U << 18U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_COL2_PORT PORT0                /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_COL2_PIN 18U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_COL2_PIN_MASK (1U << 18U)      /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PORT0_16 (coord B10), P0_16/J16[3]
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_COL3_GPIO GPIO0                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_COL3_GPIO_PIN 16U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_COL3_GPIO_PIN_MASK (1U << 16U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_COL3_PORT PORT0                /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_COL3_PIN 16U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_COL3_PIN_MASK (1U << 16U)      /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PORT0_19 (coord C9), P0_19/J2[13]/J16[1]
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_COL4_GPIO GPIO0                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_COL4_GPIO_PIN 19U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_COL4_GPIO_PIN_MASK (1U << 19U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_COL4_PORT PORT0                /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_COL4_PIN 19U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_COL4_PIN_MASK (1U << 19U)      /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PORT3_2 (coord D15), P3_2/J11[20]/J16[8]
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_ROW1_GPIO GPIO3               /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_ROW1_GPIO_PIN 2U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_ROW1_GPIO_PIN_MASK (1U << 2U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_ROW1_PORT PORT3               /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_ROW1_PIN 2U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_ROW1_PIN_MASK (1U << 2U)      /*!<@brief PORT pin mask */
                                                     /* @} */

/*! @name PORT3_3 (coord D16), P3_3/J11[19]/SJ12[1]
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_ROW2_GPIO GPIO3               /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_ROW2_GPIO_PIN 3U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_ROW2_GPIO_PIN_MASK (1U << 3U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_ROW2_PORT PORT3               /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_ROW2_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_ROW2_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                                     /* @} */

/*! @name PORT5_6 (coord K13), P5_6/SJ13[1]
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_ROW3_GPIO GPIO5               /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_ROW3_GPIO_PIN 6U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_ROW3_GPIO_PIN_MASK (1U << 6U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_ROW3_PORT PORT5               /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_ROW3_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_ROW3_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                                     /* @} */

/*! @name PORT0_20 (coord C8), P0_20/R186[3]/J16[2]
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_ROW4_GPIO GPIO0                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_ROW4_GPIO_PIN 20U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_ROW4_GPIO_PIN_MASK (1U << 20U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_ROW4_PORT PORT0                /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_ROW4_PIN 20U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_ROW4_PIN_MASK (1U << 20U)      /*!<@brief PORT pin mask */
                                                      /* @} */

/*! @name PORT1_22 (coord L4), P1_22/J11[24]/J3[3]/SJ9[3]
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_INITPINS_EZH_DEBUGIO_GPIO GPIO1                /*!<@brief GPIO peripheral base pointer */
#define BOARD_INITPINS_EZH_DEBUGIO_GPIO_PIN 22U              /*!<@brief GPIO pin number */
#define BOARD_INITPINS_EZH_DEBUGIO_GPIO_PIN_MASK (1U << 22U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_INITPINS_EZH_DEBUGIO_PORT PORT1                /*!<@brief PORT peripheral base pointer */
#define BOARD_INITPINS_EZH_DEBUGIO_PIN 22U                   /*!<@brief PORT pin number */
#define BOARD_INITPINS_EZH_DEBUGIO_PIN_MASK (1U << 22U)      /*!<@brief PORT pin mask */
                                                             /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
